通知ハンドラー
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可される値はnameです。 |
| is_enabled | オプション ブール値 | |
| type | オプション 文字列 | 検索するフィールドは何ですか。許可される値はemail, webhook, slack, discord, telegram, microsoft_teams, x, google_chatです。 |
| datetime_field | オプション 文字列 | 許可される値: datetime, last_datetime |
| datetime_start | オプション 文字列 | この日時から結果を絞り込みます。形式 Y-m-d H:i:s。 |
| datetime_end | オプション 文字列 | この日時まで結果を絞り込みます。形式 Y-m-d H:i:s。 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可される値は、notification_handler_id, datetime, last_datetime, name です。 |
| order_type | オプション 文字列 | 結果の並び替え。許可される値は、昇順の場合はASC、降順の場合はDESCです。 |
| search | オプション 文字列 | 検索文字列 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可される値はnameです。 |
| is_enabled | オプション ブール値 | |
| type | オプション 文字列 | 検索するフィールドは何ですか。許可される値はemail, webhook, slack, discord, telegram, microsoft_teams, x, google_chatです。 |
| datetime_field | オプション 文字列 | 許可される値: datetime, last_datetime |
| datetime_start | オプション 文字列 | この日時から結果を絞り込みます。形式 Y-m-d H:i:s。 |
| datetime_end | オプション 文字列 | この日時まで結果を絞り込みます。形式 Y-m-d H:i:s。 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可される値は、notification_handler_id, datetime, last_datetime, name です。 |
| order_type | オプション 文字列 | 結果の並び替え。許可される値は、昇順の場合はASC、降順の場合はDESCです。 |
| page | オプション 整数 | 必要なページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数を指定してください。許可される値は10, 25, 50, 100, 250, 500, 1000です。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 22:40:37",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 22:40:37",
}
}
POST https://tistos.com/api/notification-handlers
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| type | 必須 文字列 | 許可される値: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| オプション 文字列 | 利用可能時期:type = email メール | |
| webhook | オプション 文字列 | 利用可能時期:type = webhook Webhook URL |
| slack | オプション 文字列 | 利用可能時期:type = slack Slack webhook URL |
| discord | オプション 文字列 | 利用可能時期:type = discord Discord webhook URL |
| telegram | オプション 文字列 | 利用可能時期:type = telegram Telegram API トークン |
| telegram_chat_id | オプション 文字列 | 利用可能時期:type = telegram Telegram チャット ID |
| microsoft_teams | オプション 文字列 | 利用可能時期:type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | オプション 文字列 | 利用可能時期:type = google_chat Google Chat の webhook URL |
| x_consumer_key | オプション 文字列 | 利用可能時期:type = x Telegram API トークン |
| x_consumer_secret | オプション 文字列 | 利用可能時期:type = x Telegram API トークン |
| x_access_token | オプション 文字列 | 利用可能時期:type = x Telegram API トークン |
| x_access_token_secret | オプション 文字列 | 利用可能時期:type = x Telegram API トークン |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション 文字列 | - |
| type | オプション 文字列 | 許可される値: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| オプション 文字列 | 利用可能時期:type = email メール | |
| webhook | オプション 文字列 | 利用可能時期:type = webhook Webhook URL |
| slack | オプション 文字列 | 利用可能時期:type = slack Slack webhook URL |
| discord | オプション 文字列 | 利用可能時期:type = discord Discord webhook URL |
| telegram | オプション 文字列 | 利用可能時期:type = telegram Telegram API トークン |
| telegram_chat_id | オプション 文字列 | 利用可能時期:type = telegram Telegram チャット ID |
| microsoft_teams | オプション 文字列 | 利用可能時期:type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | オプション 文字列 | 利用可能時期:type = google_chat Google Chat の webhook URL |
| x_consumer_key | オプション 文字列 | 利用可能時期:type = x Telegram API トークン |
| x_consumer_secret | オプション 文字列 | 利用可能時期:type = x Telegram API トークン |
| x_access_token | オプション 文字列 | 利用可能時期:type = x Telegram API トークン |
| x_access_token_secret | オプション 文字列 | 利用可能時期:type = x Telegram API トークン |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \